Bug 119887 - DOC: Vertical spacing not properly applied in the paragraph, moves one more line to second page in LO compared to MSO
Summary: DOC: Vertical spacing not properly applied in the paragraph, moves one more l...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Paragraph
  Show dependency treegraph
 
Reported: 2018-09-14 18:59 UTC by Patrick Jaap
Modified: 2020-04-18 19:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
example file (38.50 KB, application/msword)
2018-09-14 18:59 UTC, Patrick Jaap
Details
situation in LO Writer (21.51 KB, application/pdf)
2018-09-14 18:59 UTC, Patrick Jaap
Details
situation in Word (17.41 KB, application/pdf)
2018-09-14 19:00 UTC, Patrick Jaap
Details
Example compared MSO LO62+ (88.08 KB, image/png)
2018-10-26 07:41 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Jaap 2018-09-14 18:59:07 UTC
Description:
In the example, Writer puts more lines on the next page than Word does.

Steps to Reproduce:
1. Open the example file

Actual Results:
Line 33 and 34 are on the next page.

Expected Results:
Only line 34 on the next page


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Patrick Jaap 2018-09-14 18:59:30 UTC
Created attachment 144879 [details]
example file
Comment 2 Patrick Jaap 2018-09-14 18:59:46 UTC
Created attachment 144880 [details]
situation in LO Writer
Comment 3 Patrick Jaap 2018-09-14 19:00:05 UTC
Created attachment 144881 [details]
situation in Word
Comment 4 Xisco Faulí 2018-09-17 09:51:15 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 2419fa71d8b2223a50f596d5db7721f6213d4f87
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

and back to

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 5 Timur 2018-10-26 07:41:01 UTC
Created attachment 146022 [details]
Example compared MSO LO62+

This is a minor issue with formatting / spacing at "32". Repro with DOC and DOCX.
If we open "32" right-click Paragraph and just press OK, "33" moves there.
Comment 6 QA Administrators 2019-10-27 03:38:21 UTC Comment hidden (obsolete)
Comment 7 Patrick Jaap 2019-10-28 11:36:32 UTC
Still reproducible in current master.
Comment 8 Justin L 2020-04-18 19:21:52 UTC
I see people saying this is still a problem, but when I test, I see it fixed in 6.0 with commit 0c8b749e602b6743857a9bc4efb24b6183690311
Author: Caolán McNamara on Date:   Tue Sep 5 15:24:26 2017 +0100
    Resolves: tdf#107249 round ascent/descent/extleading on conversion to int

Specifically, I see 33 and 34 on page2 starting with that commit, and spot checked  in 6.2, 6.3, 6.4, 7.0 master all confirm it is "fixed".

Testing with Ubuntu 20.04 alpha x64 and bibisect-linux-64-*